"""This package contains functionality for filtering dataframes.

Modules:

    base_filter: Base class for data filters.
    categorical_filter: Class to filter on categorical data.
    count_filter: Class to filter on the number of appearances of each value of a column.
    filter_config: subset/filter(pass) configuration classes.
    filter_config_parsing: parse data subset/filter(pass) configurations.
    filter_constants: Constants to be used in other modules.
    filter_event: Event args and a print function for a filter event.
    filter_factory: Create filter factory with available data filters.
    numerical_filter: Class to filter on a range of numerical data.

This program has been developed by students from the bachelor Computer Science at
Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
"""
