"""This package contains functionality to convert ratings in a dataframe.

Modules:

    base_converter: base class for converting ratings.
    convert_config: converter configuration class.
    convert_config_parsing: parse converter configuration.
    convert_constants: constants to be used in other modules.
    convert_event: event args and a print function for a converter event.
    count: count apc/alc.
    kl_converter: class for converting with kullback-leibler.
    range_converter: class for converting with a scalar.
    rating_converter_factory: create converter factory with available rating converters.

This program has been developed by students from the bachelor Computer Science at
Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
"""
