"""This package contains functionality for dataset definitions.

Modules:

    dataset: class wrapper for accessing a dataset and related data tables.
    dataset_config: configuration structs that define the matrix/tables.
    dataset_config_parser: parser for a dataset configuration and utility functions.
    dataset_constants: constants to be used in other modules.
    dataset_registry: registry for available datasets and processing them into a standard format.
    dataset_sampling: create a sample of an existing dataset.

Packages:

    processor: dataset processors for various movie/music datasets.

This program has been developed by students from the bachelor Computer Science at
Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
"""
