"""This package contains dataset processors for various movie/music datasets.

Modules:

    dataset_processor_base: base class for all dataset processors.
    dataset_processor_lfm: base class for LastFM dataset processors.
    dataset_processor_lfm_1b: class to process the LastFM-1B dataset.
    dataset_processor_lfm_2b: class to process the LastFM-2B dataset.
    dataset_processor_lfm_360k: class to process the LastFM-360K dataset.
    dataset_processor_ml: base class for MovieLens dataset processors.
    dataset_processor_ml_25m: class to process the MovieLens-25M dataset.
    dataset_processor_ml_100k: class to process the MovieLens-100K dataset.

This program has been developed by students from the bachelor Computer Science at
Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
"""
