"""This module contains name constants for implemented surprise algorithms.

Constants:

    BASELINE_ONLY_ALS: name of the BaselineOnlyALS algorithm.
    BASELINE_ONLY_SGD: name of the BaselineOnlySGD algorithm.
    CO_CLUSTERING: name of the CoClustering algorithm.
    KNN_BASIC: name of the KNNBasic algorithm.
    KNN_BASELINE_ALS: name of the KNNBaselineALS algorithm.
    KNN_BASELINE_SGD: name of the KNNBaselineSGD algorithm.
    KNN_WITH_MEANS: name of the KNNWithMeans algorithm.
    KNN_WITH_ZSCORE: name of the KNNWithZScore algorithm.
    NMF: name of the NMF algorithm.
    NORMAL_PREDICTOR: name of the NormalPredictor algorithm.
    SLOPE_ONE: name of the SlopeOne algorithm.
    SVD: name of the SVD algorithm.
    SVD_PP: name of the SVDpp algorithm.

This program has been developed by students from the bachelor Computer Science at
Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
"""

BASELINE_ONLY_ALS = 'BaselineOnlyALS'
BASELINE_ONLY_SGD = 'BaselineOnlySGD'
CO_CLUSTERING = 'CoClustering'
KNN_BASIC = 'KNNBasic'
KNN_BASELINE_ALS = 'KNNBaselineALS'
KNN_BASELINE_SGD = 'KNNBaselineSGD'
KNN_WITH_MEANS = 'KNNWithMeans'
KNN_WITH_ZSCORE = 'KNNWithZScore'
NMF = 'NMF'
NORMAL_PREDICTOR = 'NormalPredictor'
SLOPE_ONE = 'SlopeOne'
SVD = 'SVD'
SVD_PP = 'SVDpp'
