"""This package contains functionality for running the model pipeline.

Modules:

    model_config: model configuration class.
    model_config_parsing: parse model configuration(s).
    model_event: event ids, event args and a print switch for the model pipeline.
    model_pipeline: base model pipeline class.
    model_pipeline_surprise: model pipeline classes for the surprise package.
    model_run: run (multiple) model pipelines.
    prediction_pipeline: model pipeline class for predictions.
    recommendation_pipeline: model pipeline class for recommendations.
    recommendation_pipeline_elliot: recommender pipeline class for the elliot framework.

This program has been developed by students from the bachelor Computer Science at
Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
"""
